#
# spec file for package xrdb
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xrdb
Version:        1.1.0
Release:        6.4
Summary:        X server resource database utility
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
Requires:       cpp
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xrdb is used to get or set the contents of the RESOURCE_MANAGER property
on the root window of screen 0, or the SCREEN_RESOURCES property on the
root window of any or all screens, or everything combined.

%prep
%setup -q

%build
%configure --with-cpp=%{_bindir}/cpp
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/xrdb
%{_mandir}/man1/xrdb.1%{?ext_man}

%changelog
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.1.0:
  + Add -version flag to print package version string from
    autoconf.
  + Only add -P flag if using cpp as our preprocessor (fdo#34546).
  + Predefined cpp macros can produce unexpected results
    (fdo#3413).
  + Rename args to several functions to not shadow global
    variables.
  + Mark fatal() & Syntax() with printf & noreturn attributes.
  + Strip trailing whitespace.
  + Remove unnecessary casts from malloc & realloc calls.
  + Fix many const pointer warnings.
  + Ensure we don't read out of ClassName array bounds for unknown
    visual type (deb#488535).
  + Clarify .Xresources vs. .Xdefaults in man page (deb#649187).
  + Allow the CPP macro to contain preprocessors with command line
    options (v2).
  + Usage: In usage message print preprocessor that's actually
    chosen.
  + Fix build with WIN32 defined, but PATHETICCPP not defined.
  + Tokenize #define names in the PATHETICCPP case too.
- Add pkgconfig(xproto) BuildRequires, new dependency.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.9:
  + Create shell-escape-safe cpp options in the non-pathetic-cpp
    case (CVE-2011-0465).
- Changes from version 1.0.8:
  + Merge usage() printf() strings/calls into a single string/call.
  + Replace complex malloc calculations with asprintf().
  + Man page fixes.
  + Build system fixes.
- Drop xrdb-Create-shell-escape-safe-cpp-options-in-the-non-path-bnc674733.patch:
  fixed upstream.
- Drop xrdb-traditional-cpp.diff: obsoleted.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xrdb from xorg-x11. Initial version: 1.0.7.
